DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# case-fold-up-charlist

## Name

case-fold-up-charlist -- Return the list of characters, shifted to uppercase

## Synopsis

    (case-fold-up-charlist charlist)

## Description

Shifts all of the characters in `charlist` to uppercase with `case-fold-up-char`.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (case-fold-up-charlist charlist)
      ;; Return the list of characters, shifted to uppercase
      (if (null? charlist)
          '()
          (cons (case-fold-up-char (car charlist))
    	    (case-fold-up-charlist (cdr charlist)))))

Prev | Home | Next
case-fold-down-charlist | Up | case-fold-down